Drupal.behaviors.facebookLink = function (context) {
  $link_previous_button = $('.facebook-link-previous-button');
  $link_next_button = $('.facebook-link-next-button');

  $link_previous_button.click(function() {
      var current = $(this).parent().prev().val();
      var max = $(this).parent().prev().prev().val();
      current--;
      if(current>0){
          $(this).parent().prev().val(current);
          facebook_link_print_count(current, max, $(this).next().next());
          var change = ".facebook-link-thumbnail-" + current;
          var new_thumb = $(this).parent().parent().find(change).val();
          $(this).prev().attr('src', new_thumb);
      }   
    } 
  );

  $link_next_button.click(function() {
      var current = $(this).parent().prev().val();
      var max = $(this).parent().prev().prev().val();
      current++;
      if(current<=max){
          $(this).parent().prev().val(current);
          facebook_link_print_count(current, max, $(this).next());
          var change = ".facebook-link-thumbnail-" + current;
          var new_thumb = $(this).parent().parent().find(change).val();
          $(this).prev().prev().attr('src', new_thumb);
      }  
    } 
  );
}

function facebook_link_print_count(current, max, where) {
  var link_translations = new Array();
  link_translations['%current'] = current;
  link_translations['%max'] = max;
  where.html(Drupal.t('%current of %max', link_translations));
}